## coolmail 1.3

=== Makefile ===
#!/usr/bin/make
# Makefile for coolmail
#
############################################################################
#
# TO BUILD COOLMAIL:
# ------------------
# (1) If necessary, edit CFLAGS, LINK, INCLUDES, LIB_DIRS, and BINDIR.
# (2) Type `make' in this directory to build coolmail.
# (3) Type `make install' in this directory to copy it to your BINDIR.
#
############################################################################

# Uncomment this if CC is not in your environment.  Change it if necessary.
#CC = gcc

# Please verify that the following six lines are correct.  CFLAGS is
# a set of options for your C compiler, LINK is the linker command you
# want to use.  (This may be your C compiler, because most C compilers
# know how to invoke the linker.)  INCLUDES is any include path that your
# compiler should search in addition to its default paths.  LIB_DIRS tells
# your linker where to find the libraries it will need, and BINDIR and
# MANDIR specify the places to install the binary executable and manpage
# files for coolmail when you type `make install'.
CFLAGS   = 
LINK     = $(CC)
INCLUDES = -I/usr/X11R5/include
LIB_DIRS = -L/usr/X11R6/lib
BINDIR   = /usr/local/bin
MANDIR   = /usr/local/man/man1

# Comment these out if you can't or don't want to use the digitized audio
# feature.
AUDIO        = -DAUDIO
AUDIO_MODULE = audio.o

#### You really don't need to read past this point. ####

LIBS  = $(LIB_DIRS) -lXt -lX11 -lm -lXext
COPTS = $(CFLAGS) $(AUDIO)

all: coolmail
	# Done.

new:
	rm -f *.o coolmail core

clean:
	rm -f *.o core

install:
	@if [ -w $(BINDIR) ] ; then \
	   echo "Attempting to install coolmail executable." ; \
	   if [ -f $(BINDIR)/coolmail ] ; then \
	      echo "Existing copy of coolmail will be OVERWRITTEN." ; \
	   fi; \
	   echo "cp coolmail $(BINDIR)/coolmail" ; \
	   cp coolmail $(BINDIR)/coolmail ; \
	else \
	echo "ERROR:  Unable to write to $(BINDIR)." ; \
	   echo "Please check that it exists and that you have write access" ; \
	   echo "to it." ; \
	fi;
	@if [ -w $(MANDIR) ] ; then \
	   echo "Attempting to install coolmail man page." ; \
	   echo "cp coolmail.man $(MANDIR)/coolmail.1" ; \
	   cp coolmail.man $(MANDIR)/coolmail.1 ; \
	   echo "OK.  You may wish to update the whatis database" ; \
           echo "for $(MANDIR)." ; \
	else \
	echo "ERROR:  Unable to write to $(MANDIR)." ; \
	   echo "Please check that it exists and that you have write access" ; \
	   echo "to it." ; \
	fi;

coolmail: coolmail.o display_list.o render1.o colors.o $(AUDIO_MODULE)
	$(LINK) coolmail.o display_list.o render1.o  colors.o $(AUDIO_MODULE)\
                $(LIBS) -o coolmail 

display_list.o: system/X11/display_list.c display_list.h render1.h \
                system/X11/colors.h
	$(CC) $(COPTS) $(INCLUDES) system/X11/display_list.c -c

r1_sub.o: r1_sub.c display_list.h render1.h
	$(CC) $(COPTS) $(INCLUDES) r1_sub.c -c

coolmail.o: coolmail.c mailbox.h render1.h
	$(CC) $(COPTS) $(INCLUDES) coolmail.c -c

render1.o: render1.c display_list.h render1.h
	$(CC) $(COPTS) $(INCLUDES) render1.c -c

colors.o: system/X11/colors.c system/X11/colors.h
	$(CC) $(COPTS) $(INCLUDES) system/X11/colors.c -c

audio.o: audio.c
	$(CC) $(COPTS) $(INCLUDES) audio.c -c

=== debian/changelog ===
coolmail (1.3-16) unstable; urgency=medium

  * QA upload.
  * Point Homepage to packages.debian.org to make clear that there is no
    upstream Homepage any more
  * Maintain package in Debian team on Salsa
  * d/copyright:
     - DEP5
     - Review
  * d/rules: separate dh_installchangelogs override
  * d/source/include-binaries: Removed
  * Try building with hardening options
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Dec 2025 18:39:58 +0100

coolmail (1.3-15) unstable; urgency=medium

  * Really set Debian QA Group as maintainer

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 07 Sep 2025 11:36:50 +0200

coolmail (1.3-14) unstable; urgency=medium

  * Set Debian QA Group as maintainer

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 07 Sep 2025 11:04:22 +0200

coolmail (1.3-13) unstable; urgency=medium

  * Fix build issues (closes: #1066660)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 16 Mar 2024 12:25:49 +0100

coolmail (1.3-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007594)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 23:28:49 +0000

coolmail (1.3-12) unstable; urgency=low

  * Raised debhelper compat version to 9 (closes: #817408)
  * Fixed lintian warnings.

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 10 Mar 2016 20:18:38 +0100

coolmail (1.3-11) unstable; urgency=low

  * Fixed lintian warnings.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 28 Dec 2008 14:53:00 +0100

coolmail (1.3-10) unstable; urgency=low

  * Applied patch from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
    to fix compile problem on GNU/kFreeBSD (closes: #414328)

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 11 Apr 2007 18:50:29 +0200

coolmail (1.3-9) unstable; urgency=low

  * Added patch from Ubuntu bug #57632 by
    Michael Bienia <michael@vorlon.ping.de> to fix crash on amd64
    by using getpwuid(geteuid()) instead of cuserid() (closes: #402973)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 15 Dec 2006 21:55:59 +0100

coolmail (1.3-8) unstable; urgency=low

  * Fixed build-depends (closes: #346647)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 14 Jan 2006 18:33:25 +0100

coolmail (1.3-7) unstable; urgency=low

  * Fixed lintian warning, duplicate-conffile

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  5 Dec 2004 16:08:59 +0100

coolmail (1.3-6) unstable; urgency=low

  * Applied maildir patch.
  * Use debhelper level 4.

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 30 Jul 2004 18:33:22 +0200

coolmail (1.3-5) unstable; urgency=low

  * Applied patch from Matto Marjanovic <maddog@mir.com>
    (closes: #169162) to fix some minor sound volume problems.
  * Bumped standards revision.

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 26 Jan 2004 21:27:00 +0100

coolmail (1.3-4) unstable; urgency=low

  * Make /etc/app-defaults/Coolmail a conffile (closes: #132156)
  * Fixed X11 include path
  * Install in /usr/bin instead of /usr/X11R6/bin
  * Bump standards revision

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  9 Feb 2002 11:54:49 +0100

coolmail (1.3-3) unstable; urgency=low

  * Move app-defaults (closes: #86264)
  * Update to standards revision 3.1.1

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 17 Feb 2001 10:53:05 +0100

coolmail (1.3-2) unstable; urgency=low

  * Make sure coolmail.orig.tar.gz is uploaded (closes: #44228)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  5 Sep 1999 16:56:38 +0200

coolmail (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 11 Apr 1998 02:33:26 +0200

=== debian/control ===
Source: coolmail
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: libx11-dev, libxext-dev, libxmu-dev, libxt-dev, debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/debian/coolmail
Vcs-Git: https://salsa.debian.org/debian/coolmail.git
Homepage: https://packages.debian.org/coolmail

Package: coolmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mail notifier with 3d graphics
 Coolmail is like xbiff -- it watches your inbox mail file
 and lets you know when you have mail.  But unlike xbiff, it can launch
 your favorite mail utility when you click on it, and it has cool
 animated 3D graphics.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	-$(MAKE) new
	dh_clean

override_dh_auto_install:
	$(MAKE) BINDIR=`pwd`/debian/coolmail/usr/bin MANDIR=`pwd`/debian/coolmail/usr/share/man/man1 install
	rm -rf debian/coolmail/usr/X11R6/lib
	mkdir -p debian/coolmail/etc/X11/app-defaults
	install -m644 Coolmail.ad debian/coolmail/etc/X11/app-defaults/Coolmail

override_dh_installchangelogs:
	dh_installchangelogs README.changes

## coolmail 1.3-1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ############################################################################
 
 # Uncomment this if CC is not in your environment.  Change it if necessary.
-#CC = gcc
+CC = gcc
 
 # Please verify that the following six lines are correct.  CFLAGS is
 # a set of options for your C compiler, LINK is the linker command you
@@ -24,7 +24,7 @@
 # files for coolmail when you type `make install'.
 CFLAGS   = 
 LINK     = $(CC)
-INCLUDES = -I/usr/X11R5/include
+INCLUDES = -I/usr/X11R6/include
 LIB_DIRS = -L/usr/X11R6/lib
 BINDIR   = /usr/local/bin
 MANDIR   = /usr/local/man/man1
@@ -36,7 +36,7 @@
 
 #### You really don't need to read past this point. ####
 
-LIBS  = $(LIB_DIRS) -lXt -lX11 -lm -lXext
+LIBS  = $(LIB_DIRS) -lXt -lX11 -lm -lXext -lSM -lICE
 COPTS = $(CFLAGS) $(AUDIO)
 
 all: coolmail

=== debian/control ===
Source: coolmail
Section: mail
Priority: optional
Maintainer: Fredrik Hallenberg <hallon@debian.org>
Standards-Version: 2.4.0.0

Package: coolmail
Architecture: any
Depends: ${shlibs:Depends}
Description: mail notifier with 3d graphics
 Coolmail is like xbiff -- it watches your inbox mail file
 and lets you know when you have mail.  But unlike xbiff, it can launch
 your favorite mail utility when you click on it, and it has cool
 animated 3D graphics.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS=-O2

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) BINDIR=`pwd`/debian/tmp/usr/X11R6/bin MANDIR=`pwd`/debian/tmp/usr/X11R6/man/man1 install
	install -m644 Coolmail.ad debian/tmp/usr/X11R6/lib/X11/app-defaults/Coolmail

	dh_installdocs README README.changes
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
